org.keycloak.models.cache

## Class MemoryUserCache.RealmUsers.LRUCache

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,CachedUser>
      - - org.keycloak.models.cache.MemoryUserCache.RealmUsers.LRUCache

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,CachedUser>
  Enclosing class:
    MemoryUserCache.RealmUsers

      protected class MemoryUserCache.RealmUsers.LRUCache
      extends LinkedHashMap<String,CachedUser>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MemoryUserCache.RealmUsers.LRUCache()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `CachedUser` | `put(String key, CachedUser value)`
    `CachedUser` | `remove(Object key)`
    `protected boolean` | `removeEldestEntry(Map.Entry<String,CachedUser> eldest)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `containsValue, get`

    - ### Methods inherited from class java.util.HashMap

      `clone, containsKey, entrySet, isEmpty, keySet, putAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `containsKey, entrySet, equals, hashCode, isEmpty, keySet, putAll, size, values`

- - ### Constructor Detail

    - #### MemoryUserCache.RealmUsers.LRUCache

          public MemoryUserCache.RealmUsers.LRUCache()

  - ### Method Detail

    - #### put

          public CachedUser put(String key,
                       CachedUser value)

      Specified by:
        `put` in interface `Map<String,CachedUser>`
      Overrides:
        `put` in class `HashMap<String,CachedUser>`

    - #### remove

          public CachedUser remove(Object key)

      Specified by:
        `remove` in interface `Map<String,CachedUser>`
      Overrides:
        `remove` in class `HashMap<String,CachedUser>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `Map<String,CachedUser>`
      Overrides:
        `clear` in class `LinkedHashMap<String,CachedUser>`

    - #### removeEldestEntry

          protected boolean removeEldestEntry(Map.Entry<String,CachedUser> eldest)

      Overrides:
        `removeEldestEntry` in class `LinkedHashMap<String,CachedUser>`

Copyright © 2014. All Rights Reserved.